#!/usr/bin/env zsh

mkdir -p pdf

for orgfile in *.org; do
    pandoc ${orgfile} --output=pdf/${orgfile%.*}.pdf --pdf-engine=xelatex \
        --include-in-header=settings.tex
    print -n '.'
done

for adocfile in *.adoc; do
    asciidoctor --embedded --backend=docbook --out-file=- ${adocfile} \
        | pandoc --from=docbook --output=pdf/${adocfile%.*}.pdf \
        --pdf-engine=xelatex --include-in-header=settings.tex
    print -n '.'
done

print
